Bio::MAGETAB::Event(3)

NAME
Bio::MAGETAB::Event - Abstract event class

SYNOPSIS
 use Bio::MAGETAB::Event;

DESCRIPTION
This class is an abstract class from which all MAGE-TAB Event classes (Assay, DataAcquisition, Normalization) are derived. It cannot be instantiated directly. See the Node class for superclass methods.

ATTRIBUTES

name (required)
    The name of the event (data type: String).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::Node

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).